# Passenger::EventFd Class Reference

A synchronization mechanism that's implemented with file descriptors, and as such can be used in combination with select() and friends. More...

`#include <FileDescriptor.h>`

List of all members.

## Detailed Description

A synchronization mechanism that's implemented with file descriptors, and as such can be used in combination with select() and friends.

One can wait for an event on an EventFd by select()ing it on read events. Another thread can signal the EventFd by calling notify().

The documentation for this class was generated from the following file:

- FileDescriptor.h